import { MessageBox, Message } from 'element-ui' //这里是引入 element
/**
 *  @param 提示是否确定当前操作模态框
 *  @param title                提示的标题        -  可以不传
 *  @param callback             确定事件          -  可以不传
 *  @param thenMessage          成功后的提示文案   -  可以不传
 *  @param confirmButtonText    确定按钮文案       - 可以不传
 *  @param cancelButtonText     取消按钮文案       - 可以不传
 */

export const confirmModal = (title, callback, thenMessage, confirmButtonText, cancelButtonText) => {
  MessageBox.confirm(title ? title : '提醒', '确认信息', {
    type: 'warning',
    distinguishCancelAndClose: true,
    confirmButtonText: confirmButtonText ? confirmButtonText : '确定',
    cancelButtonText: cancelButtonText ? cancelButtonText : '取消'
  })
    .then(() => {
      Message({
        type: 'success',
        duration: 1000,
        message: thenMessage ? thenMessage : '操作成功'
      })
      setTimeout(() => {
        if (callback) callback()
      }, 1000)
    })
    .catch((action) => {})
}
/**
 *
 * @param {*}  type 'success' | 'warning' | 'error' 默认'success'
 * @param {*}  message 提示文案 默认操作成功
 * @param {*}  duration 时间 默认1000毫秒
 * @returns
 */
export const useMessage = (type, message, duration) => {
  Message({
    duration: duration || 1000,
    type: type || 'success',
    message: message || '操作成功'
  })
}

/**
 * 表单重置
 * @param {*}
 * @returns
 */

export function resetForm(refName) {
  if (this.$refs[refName]) {
    this.$refs[refName].resetFields()
  }
}
